# Ulysses

All Ulysses CSS is prebuilt, minified and available in /public, as individual
modules or a single concatenated file (ulysses.css).

You can view a test page with:
```
cd test && python -m SimpleHTTPServer
```

If you want to edit you'll need to install nodejs, this is left as an
exercise for the reader. Once nodejs is installed:

## Fonts and Testing

The regression tests should be run on Ubuntu Precise with the Ubuntu font
family installed. Otherwise all tests will fail on OS rendering diff or 
font family diff. To install Ubuntu font via cli:

``
sudo apt-get install ttf-ubuntu-font-family
``

## Hacking

Install build deps:

```
npm install
```

Build on file change:
```
gulp watch
```

See gulpfile.js for more.

### Tests

Visual regression testing is handled by PhantomCSS:
(for which you'll either need CasperJS and PhantomJS on PATH, or just run
./tarmac_verify.sh)

```
gulp test
```

### Updates to lib CSS

To update lib CSS (normalize, Pure, etc) to latest version in npm, check
with npm:

```
npm outdated normalize.css purecss
```

Update package.json if required and run gulp task to copy updated libs to /src:

```
gulp copy
```

Create new svg symbols:

```
gulp symbols
```
