var phantomcss = require('./../../../node_modules/phantomcss/phantomcss.js');

phantomcss.init({
  libraryRoot: './node_modules/phantomcss',
  screenshotRoot: './test/visual/screenshots/large',
  failedComparisonsRoot: './test/visual/failures/large',
  comparisonResultRoot: './test/visual/results/large',
  errorType: 'movement',
  fileNameGetter: function(root,filename){ 
    var name = root+'/'+filename.toLowerCase().replace(/ /g,'_');
    if(fs.isFile(name+'.png')){
      return name+'.diff.png';
    } else {
      return name+'.png';
    }
  },
});

casper.start( './test/index.html' );

casper.viewport(1024, 768, function(){
    // buttons
    phantomcss.screenshot('[data-qa="default-button"]', 'Default Button');
    phantomcss.screenshot('[data-qa="primary-button"]', 'Primary Button');
    phantomcss.screenshot('[data-qa="tertiary-button"]', 'Tertiary Button');
    phantomcss.screenshot('[data-qa="button-group"]', 'Button Group');
    phantomcss.screenshot('[data-qa="button-toolbar"]', 'Button Toolbar');

    // headlines
    phantomcss.screenshot('[data-qa="headlines"]', 'Headlines');

    // dropdowns
    phantomcss.screenshot('[data-qa="dropdown"]', 'Dropdown');

    // navbars
    phantomcss.screenshot('[data-qa="navbar-simple"]', 'Simple Navbar');
    phantomcss.screenshot('[data-qa="navbar-invert"]', 'Invert Navbar');
    phantomcss.screenshot('[data-qa="navbar-full"]', 'Full Navbar');
    phantomcss.screenshot('[data-qa="navbar-button"]', 'Navbar with button');
    phantomcss.screenshot('[data-qa="navbar-secondary-text"]', 'Navbar with secondary text');

    // forms
    phantomcss.screenshot('[data-qa="default-form"]', 'Default form');
    phantomcss.screenshot('[data-qa="inline-form"]', 'Inline form');
    phantomcss.screenshot('[data-qa="checkboxes-and-radios"]', 'Checkboxes and radios');

    // grids
    phantomcss.screenshot('[data-qa="grids"]', 'grids');

    // messages
    // phantomcss.screenshot('[data-qa="notifications"]', 'notifications');
    //
});

casper.then( function now_check_the_screenshots(){
  // compare screenshots
  phantomcss.compareAll();
});

casper.then( function end_it(){
  casper.test.done();
});

/*
Casper runs tests
*/
casper.run(function(){
  console.log('\nTHE END.');
  phantom.exit(phantomcss.getExitStatus());
});
