var phantomcss = require('./../../../node_modules/phantomcss/phantomcss.js');

phantomcss.init({
  libraryRoot: './node_modules/phantomcss',
  screenshotRoot: './test/visual/screenshots/small',
  failedComparisonsRoot: './test/visual/failures/small',
  comparisonResultRoot: './test/visual/results/small',
  errorType: 'movement',
  fileNameGetter: function(root,filename){ 
    var name = root+'/'+filename.toLowerCase().replace(/ /g,'_');
    if(fs.isFile(name+'.png')){
      return name+'.diff.png';
    } else {
      return name+'.png';
    }
  },
});

casper.start( './test/index.html' );

casper.viewport(320, 480, function(){
    // navbars, small screen
    phantomcss.screenshot('[data-qa="navbar-simple"]', 'Simple Navbar');
    phantomcss.screenshot('[data-qa="navbar-invert"]', 'Invert Navbar');
    phantomcss.screenshot('[data-qa="navbar-full"]', 'Full Navbar');
});

casper.then( function now_check_the_screenshots(){
  // compare screenshots
  phantomcss.compareAll();
});

casper.then( function end_it(){
  casper.test.done();
});

/*
Casper runs tests
*/
casper.run(function(){
  console.log('\nTHE END.');
  phantom.exit(phantomcss.getExitStatus());
});
